UbixOS V2 2.0

Data Fields
mprotect_args Struct Reference

`#include <sysproto_posix.h>`

Collaboration diagram for mprotect_args:

## Data Fields
const void * | addr
char | addr_l_ [0]
char | addr_r_ [(sizeof(register_t)<=sizeof(const void *) ? 0 :sizeof(register_t) - sizeof(const void *))]
size_t | len
char | len_l_ [0]
char | len_r_ [(sizeof(register_t)<=sizeof(size_t) ? 0 :sizeof(register_t) - sizeof(size_t))]
int | prot
char | prot_l_ [0]
char | prot_r_ [(sizeof(register_t)<=sizeof(int) ? 0 :sizeof(register_t) - sizeof(int))]

## Detailed Description

Definition at line 296 of file sysproto_posix.h.

## Field Documentation

## ◆ addr

const void* mprotect_args::addr

Definition at line 298 of file sysproto_posix.h.

## ◆ addr_l_

char mprotect_args::addr_l_[0]

Definition at line 297 of file sysproto_posix.h.

## ◆ addr_r_

char mprotect_args::addr_r_[(sizeof(register_t)<=sizeof(const void *) ? 0 :sizeof(register_t) - sizeof(const void *))]

Definition at line 299 of file sysproto_posix.h.

## ◆ len

size_t mprotect_args::len

Definition at line 301 of file sysproto_posix.h.

## ◆ len_l_

char mprotect_args::len_l_[0]

Definition at line 300 of file sysproto_posix.h.

## ◆ len_r_

char mprotect_args::len_r_[(sizeof(register_t)<=sizeof(size_t) ? 0 :sizeof(register_t) - sizeof(size_t))]

Definition at line 302 of file sysproto_posix.h.

## ◆ prot

int mprotect_args::prot

Definition at line 304 of file sysproto_posix.h.

## ◆ prot_l_

char mprotect_args::prot_l_[0]

Definition at line 303 of file sysproto_posix.h.

## ◆ prot_r_

char mprotect_args::prot_r_[(sizeof(register_t)<=sizeof(int) ? 0 :sizeof(register_t) - sizeof(int))]

Definition at line 305 of file sysproto_posix.h.

The documentation for this struct was generated from the following file:

- C:/Dev/git/UbixOS/sys/include/sys/sysproto_posix.h